From 666edefe2e4c817244916cd081a702153d10f15b Mon Sep 17 00:00:00 2001
From: Steve Lhomme <robux4@videolabs.io>
Date: Wed, 2 Nov 2016 11:35:50 +0100
Subject: [PATCH] mkv/demux: do not parse the whole infinite Clusters to find
 the duration

fixes #17567
---
 modules/demux/mkv/matroska_segment.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/modules/demux/mkv/matroska_segment.cpp b/modules/demux/mkv/matroska_segment.cpp
index ca5f34c..577af4c 100644
--- a/modules/demux/mkv/matroska_segment.cpp
+++ b/modules/demux/mkv/matroska_segment.cpp
@@ -687,7 +687,7 @@ bool matroska_segment_c::Preload( )
 
     b_preloaded = true;
 
-    if( cluster == NULL || cluster->IsFiniteSize() )
+    if( cluster != NULL )
         EnsureDuration();
 
     return true;
@@ -998,7 +998,7 @@ void matroska_segment_c::EnsureDuration()
     }
 
     // find the last Cluster manually
-    if ( !i_last_cluster_pos && cluster != NULL )
+    if ( !i_last_cluster_pos && cluster->IsFiniteSize() )
     {
         es.I_O().setFilePointer( cluster->GetElementPosition(), seek_beginning );
 
-- 
2.10.1.windows.1

